BuildRequires: jpackage-1.4-compat
Name: jakarta-commons-jelly-tags-jsl
Version: 1.0
Release: alt0.2

Summary: Commons Jelly jsl Tag Library
Group: Development/Java
License: Apache Software License

Url: http://jakarta.apache.org/commons/jelly/

Source0: %name.tar.bz2
# svn co http://svn.apache.org/repos/asf/jakarta/commons/proper/jelly/trunk/jelly-tags/jsl jelly-tags-jsl

BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit jakarta-commons-jelly jakarta-commons-jelly-tags-xml jakarta-commons-jelly-tags-ant jakarta-commons-jelly-tags-junit jakarta-commons-grant jakarta-commons-cli dom4j jaxen
Requires: jakarta-commons-jelly

BuildArch: noarch

%description
The Jelly jsl Tag Library

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: jakarta-commons-jelly-javadoc

%description javadoc
%summary.

%prep
%setup -q -n jsl
%__subst "s/compile,test/compile/" build.xml

%build
%set_classpath %_javadir/jakarta-commons-jelly.jar
%add_classpath %_javadir/jelly-tags/jakarta-commons-jelly-tags-xml.jar
%add_classpath %_javadir/jelly-tags/jakarta-commons-jelly-tags-ant.jar
%add_classpath %_javadir/jelly-tags/jakarta-commons-jelly-tags-junit.jar
%add_classpath %_javadir/jakarta-commons-grant.jar
%add_classpath %_javadir/jakarta-commons-cli.jar
%add_classpath %_javadir/dom4j.jar
%add_classpath %_javadir/jaxen.jar

CLASSPATH=target/classes:target/test-classes:%_classpath
%ant_build -Dbuild.sysclasspath=only dist

%install

%__mkdir_p %buildroot{%_javadir/jelly-tags,%_javadocdir/jakarta-commons-jelly/jelly-tags/jsl}

# jar
%__install -m 644 dist/*.jar %buildroot%_javadir/jelly-tags/%name.jar
name=%name; shortname=${name/jakarta-}
ln -s jelly-tags/%name.jar %buildroot%_javadir/%name.jar
ln -s jelly-tags/%name.jar %buildroot%_javadir/$shortname.jar
ln -s %name.jar %buildroot%_javadir/jelly-tags/$shortname.jar

#javadoc
%__cp -pr dist/docs/api/* %buildroot%_javadocdir/jakarta-commons-jelly/jelly-tags/jsl

%files
%_javadir/*.jar
%_javadir/jelly-tags/*.jar

%files javadoc
%_javadocdir/jakarta-commons-jelly/jelly-tags/jsl

%changelog
* Wed May 23 2007 Igor Vlasenko <viy@altlinux.ru> 1.0-alt0.2
- resurrected from orphaned

* Thu May 05 2005 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt0.1
- Initial release for ALT Linux Sisyphus
- cvs snapshot 20050504

